gstreamermm: Gst::VideoTestSrc Class Reference

gstreamermm 0.10.10.2

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::VideoTestSrc Class Reference
gstreamermm Plugins

A Wrapper for the videotestsrc plugin. More...

Inheritance diagram for Gst::VideoTestSrc:
[legend]
Collaboration diagram for Gst::VideoTestSrc:
[legend]

List of all members.

## Public Member Functions
virtual | ~VideoTestSrc ()
GstVideoTestSrc* | gobj ()
| Provides access to the underlying C GObject.
const GstVideoTestSrc* | gobj () const
| Provides access to the underlying C GObject.
GstVideoTestSrc* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Gst::VideoTestSrcPattern > | property_pattern ()
| Type of test pattern to generate.
Glib::PropertyProxy_ReadOnly < Gst::VideoTestSrcPattern > | property_pattern () const
| Type of test pattern to generate.
Glib::PropertyProxy< gint64 > | property_timestamp_offset ()
| An offset added to timestamps set on buffers (in ns).
Glib::PropertyProxy_ReadOnly < gint64 > | property_timestamp_offset () const
| An offset added to timestamps set on buffers (in ns).
Glib::PropertyProxy< bool > | property_is_live ()
| Whether to act as a live source.
Glib::PropertyProxy_ReadOnly < bool > | property_is_live () const
| Whether to act as a live source.
Glib::PropertyProxy< bool > | property_peer_alloc ()
| Ask the peer to allocate an output buffer.
Glib::PropertyProxy_ReadOnly < bool > | property_peer_alloc () const
| Ask the peer to allocate an output buffer.
Glib::PropertyProxy < Gst::VideoTestSrcColorSpec > | property_colorspec ()
| Generate video in the given color specification (Deprecated: use a caps filter with video/x-raw-yuv,color-matrix='sdtv' or 'hdtv' instead).
Glib::PropertyProxy_ReadOnly < Gst::VideoTestSrcColorSpec > | property_colorspec () const
| Generate video in the given color specification (Deprecated: use a caps filter with video/x-raw-yuv,color-matrix='sdtv' or 'hdtv' instead).
Glib::PropertyProxy< int > | property_k0 ()
| Zoneplate zero order phase, for generating plain fields or phase offsets.
Glib::PropertyProxy_ReadOnly< int > | property_k0 () const
| Zoneplate zero order phase, for generating plain fields or phase offsets.
Glib::PropertyProxy< int > | property_kx ()
| Zoneplate 1st order x phase, for generating constant horizontal frequencies.
Glib::PropertyProxy_ReadOnly< int > | property_kx () const
| Zoneplate 1st order x phase, for generating constant horizontal frequencies.
Glib::PropertyProxy< int > | property_ky ()
| Zoneplate 1st order y phase, for generating contant vertical frequencies.
Glib::PropertyProxy_ReadOnly< int > | property_ky () const
| Zoneplate 1st order y phase, for generating contant vertical frequencies.
Glib::PropertyProxy< int > | property_kt ()
| Zoneplate 1st order t phase, for generating phase rotation as a function of time.
Glib::PropertyProxy_ReadOnly< int > | property_kt () const
| Zoneplate 1st order t phase, for generating phase rotation as a function of time.
Glib::PropertyProxy< int > | property_kxt ()
| Zoneplate x*t product phase, normalised to kxy/256 cycles per vertical pixel at width/2 from origin.
Glib::PropertyProxy_ReadOnly< int > | property_kxt () const
| Zoneplate x*t product phase, normalised to kxy/256 cycles per vertical pixel at width/2 from origin.
Glib::PropertyProxy< int > | property_kyt ()
| Zoneplate y*t product phase.
Glib::PropertyProxy_ReadOnly< int > | property_kyt () const
| Zoneplate y*t product phase.
Glib::PropertyProxy< int > | property_kxy ()
| Zoneplate x*y product phase.
Glib::PropertyProxy_ReadOnly< int > | property_kxy () const
| Zoneplate x*y product phase.
Glib::PropertyProxy< int > | property_kx2 ()
| Zoneplate 2nd order x phase, normalised to kx2/256 cycles per horizontal pixel at width/2 from origin.
Glib::PropertyProxy_ReadOnly< int > | property_kx2 () const
| Zoneplate 2nd order x phase, normalised to kx2/256 cycles per horizontal pixel at width/2 from origin.
Glib::PropertyProxy< int > | property_ky2 ()
| Zoneplate 2nd order y phase, normailsed to ky2/256 cycles per vertical pixel at height/2 from origin.
Glib::PropertyProxy_ReadOnly< int > | property_ky2 () const
| Zoneplate 2nd order y phase, normailsed to ky2/256 cycles per vertical pixel at height/2 from origin.
Glib::PropertyProxy< int > | property_kt2 ()
| Zoneplate 2nd order t phase, t*t/256 cycles per picture.
Glib::PropertyProxy_ReadOnly< int > | property_kt2 () const
| Zoneplate 2nd order t phase, t*t/256 cycles per picture.
Glib::PropertyProxy< int > | property_xoffset ()
| Zoneplate 2nd order products x offset.
Glib::PropertyProxy_ReadOnly< int > | property_xoffset () const
| Zoneplate 2nd order products x offset.
Glib::PropertyProxy< int > | property_yoffset ()
| Zoneplate 2nd order products y offset.
Glib::PropertyProxy_ReadOnly< int > | property_yoffset () const
| Zoneplate 2nd order products y offset.
Glib::PropertyProxy< guint > | property_foreground_color ()
| Foreground color to use (big-endian ARGB).
Glib::PropertyProxy_ReadOnly < guint > | property_foreground_color () const
| Foreground color to use (big-endian ARGB).
Glib::PropertyProxy< guint > | property_background_color ()
| Background color to use (big-endian ARGB).
Glib::PropertyProxy_ReadOnly < guint > | property_background_color () const
| Background color to use (big-endian ARGB).
Glib::PropertyProxy< int > | property_horizontal_speed ()
| Scroll image number of pixels per frame (positive is scroll to the left).
Glib::PropertyProxy_ReadOnly< int > | property_horizontal_speed () const
| Scroll image number of pixels per frame (positive is scroll to the left).
## Static Public Member Functions
static Glib::RefPtr< VideoTestSrc > | create ()
| Creates a new videotestsrc plugin with a unique name.
static Glib::RefPtr< VideoTestSrc > | create (const Glib::ustring& name)
| Creates a new videotestsrc plugin with the given name.
## Protected Member Functions
| VideoTestSrc ()
| VideoTestSrc (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::VideoTestSrc > | wrap (GstVideoTestSrc* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the videotestsrc plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::VideoTestSrc::~VideoTestSrc | ( |  | ) | `[virtual]`

Gst::VideoTestSrc::VideoTestSrc | ( |  | ) | `[protected]`

Gst::VideoTestSrc::VideoTestSrc | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<VideoTestSrc> Gst::VideoTestSrc::create | ( |  | ) | `[static]`

Creates a new videotestsrc plugin with a unique name.

static Glib::RefPtr<VideoTestSrc> Gst::VideoTestSrc::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new videotestsrc plugin with the given name.

GstVideoTestSrc* Gst::VideoTestSrc::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::PushSrc.

const GstVideoTestSrc* Gst::VideoTestSrc::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::PushSrc.

GstVideoTestSrc* Gst::VideoTestSrc::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::PushSrc.

Glib::PropertyProxy< guint > Gst::VideoTestSrc::property_background_color | ( |  | ) |

Background color to use (big-endian ARGB).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gst::VideoTestSrc::property_background_color | ( |  | ) | const

Background color to use (big-endian ARGB).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::VideoTestSrcColorSpec > Gst::VideoTestSrc::property_colorspec | ( |  | ) |

Generate video in the given color specification (Deprecated: use a caps filter with video/x-raw-yuv,color-matrix='sdtv' or 'hdtv' instead).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::VideoTestSrcColorSpec > Gst::VideoTestSrc::property_colorspec | ( |  | ) | const

Generate video in the given color specification (Deprecated: use a caps filter with video/x-raw-yuv,color-matrix='sdtv' or 'hdtv' instead).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gst::VideoTestSrc::property_foreground_color | ( |  | ) |

Foreground color to use (big-endian ARGB).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gst::VideoTestSrc::property_foreground_color | ( |  | ) | const

Foreground color to use (big-endian ARGB).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::VideoTestSrc::property_horizontal_speed | ( |  | ) |

Scroll image number of pixels per frame (positive is scroll to the left).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::VideoTestSrc::property_horizontal_speed | ( |  | ) | const

Scroll image number of pixels per frame (positive is scroll to the left).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::VideoTestSrc::property_is_live | ( |  | ) |

Whether to act as a live source.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::VideoTestSrc::property_is_live | ( |  | ) | const

Whether to act as a live source.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::VideoTestSrc::property_k0 | ( |  | ) |

Zoneplate zero order phase, for generating plain fields or phase offsets.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::VideoTestSrc::property_k0 | ( |  | ) | const

Zoneplate zero order phase, for generating plain fields or phase offsets.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::VideoTestSrc::property_kt | ( |  | ) |

Zoneplate 1st order t phase, for generating phase rotation as a function of time.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::VideoTestSrc::property_kt | ( |  | ) | const

Zoneplate 1st order t phase, for generating phase rotation as a function of time.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::VideoTestSrc::property_kt2 | ( |  | ) |

Zoneplate 2nd order t phase, t*t/256 cycles per picture.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::VideoTestSrc::property_kt2 | ( |  | ) | const

Zoneplate 2nd order t phase, t*t/256 cycles per picture.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::VideoTestSrc::property_kx | ( |  | ) |

Zoneplate 1st order x phase, for generating constant horizontal frequencies.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::VideoTestSrc::property_kx | ( |  | ) | const

Zoneplate 1st order x phase, for generating constant horizontal frequencies.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::VideoTestSrc::property_kx2 | ( |  | ) |

Zoneplate 2nd order x phase, normalised to kx2/256 cycles per horizontal pixel at width/2 from origin.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::VideoTestSrc::property_kx2 | ( |  | ) | const

Zoneplate 2nd order x phase, normalised to kx2/256 cycles per horizontal pixel at width/2 from origin.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::VideoTestSrc::property_kxt | ( |  | ) |

Zoneplate x*t product phase, normalised to kxy/256 cycles per vertical pixel at width/2 from origin.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::VideoTestSrc::property_kxt | ( |  | ) | const

Zoneplate x*t product phase, normalised to kxy/256 cycles per vertical pixel at width/2 from origin.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::VideoTestSrc::property_kxy | ( |  | ) |

Zoneplate x*y product phase.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::VideoTestSrc::property_kxy | ( |  | ) | const

Zoneplate x*y product phase.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::VideoTestSrc::property_ky | ( |  | ) |

Zoneplate 1st order y phase, for generating contant vertical frequencies.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::VideoTestSrc::property_ky | ( |  | ) | const

Zoneplate 1st order y phase, for generating contant vertical frequencies.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::VideoTestSrc::property_ky2 | ( |  | ) |

Zoneplate 2nd order y phase, normailsed to ky2/256 cycles per vertical pixel at height/2 from origin.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::VideoTestSrc::property_ky2 | ( |  | ) | const

Zoneplate 2nd order y phase, normailsed to ky2/256 cycles per vertical pixel at height/2 from origin.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::VideoTestSrc::property_kyt | ( |  | ) |

Zoneplate y*t product phase.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::VideoTestSrc::property_kyt | ( |  | ) | const

Zoneplate y*t product phase.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::VideoTestSrcPattern > Gst::VideoTestSrc::property_pattern | ( |  | ) |

Type of test pattern to generate.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::VideoTestSrcPattern > Gst::VideoTestSrc::property_pattern | ( |  | ) | const

Type of test pattern to generate.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::VideoTestSrc::property_peer_alloc | ( |  | ) |

Ask the peer to allocate an output buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::VideoTestSrc::property_peer_alloc | ( |  | ) | const

Ask the peer to allocate an output buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< gint64 > Gst::VideoTestSrc::property_timestamp_offset | ( |  | ) |

An offset added to timestamps set on buffers (in ns).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< gint64 > Gst::VideoTestSrc::property_timestamp_offset | ( |  | ) | const

An offset added to timestamps set on buffers (in ns).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::VideoTestSrc::property_xoffset | ( |  | ) |

Zoneplate 2nd order products x offset.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::VideoTestSrc::property_xoffset | ( |  | ) | const

Zoneplate 2nd order products x offset.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::VideoTestSrc::property_yoffset | ( |  | ) |

Zoneplate 2nd order products y offset.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::VideoTestSrc::property_yoffset | ( |  | ) | const

Zoneplate 2nd order products y offset.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::VideoTestSrc > wrap | ( | GstVideoTestSrc * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/videotestsrc.h